/* $Id: triangtempl.h,v 1.3 1996/11/06 11:37:46 roitzsch Exp $ */

#ifndef TRIANGTEMPL_H
#define TRIANGTEMPL_H

#include "stack.h"
#include "dlist.h"

// ------------------  List Iterators for MESH Lists  ----------------------


// -- explicit Iterator for one special class => direct access to class members


template<class T>  class DListIter
{
    T*   elem;
    int	 reqLevel, level, high;

    const Stack<DList<T>*>& stack;

  public:

    DListIter(const Stack<DList<T>*> &stack0, int reqLevel = -1);
    void reset();
    T* all();
    T* allOfHistory();
};
//-------------------------------------------------------------------------


#if defined (GNU_C) || INCLUDE_TEMPLATE_DEFS
#include "triangtempl.c"
#endif
	
#endif

